# Class SegmentKeyLoadCompleteEvent

#### Hierarchy

- SegmentKeyEvent
  - SegmentKeyLoadCompleteEvent

#####
Index

### Constructors

constructor

### Properties

keyInfo
segmentInfo
type

## Constructors

### constructor

- new SegmentKeyLoadCompleteEvent(segmentInfo, keyInfo): SegmentKeyLoadCompleteEvent

- #### Parameters

  - segmentInfo: SegmentInfo
  - keyInfo: SegmentKeyInfo

  #### Returns SegmentKeyLoadCompleteEvent

  Inherited from SegmentKeyEvent.constructor

## Properties

### `Readonly` keyInfo

keyInfo: SegmentKeyInfo

Inherited from SegmentKeyEvent.keyInfo

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentKeyEvent.segmentInfo

### `Readonly` type

type: "segmentkeyloadcomplete" = Events.SegmentKeyLoadComplete

Overrides SegmentKeyEvent.type